# Motd 1.0 by Corbe 
# BotName: corbe@shadowbot
#   Email: Corbe@Shadow.Net

# Notes:
#   1.0: I'm a very shortcutsy kind of guy which means this script
#        requires includes. EG toolkit.tcl and toolbox.tcl 
# ChangeLog:

# Load the settings file. SHould have been edited first
source scripts/motd/settings.tcl
# Load the bindings file (personally i think it makes the code look really
# sloppy if the bindings and the proc declarations are in the same file)
source scripts/motd/bindings.tcl
source scripts/motd/config.tcl

if {![info exists toolbox_loaded]} {
  putlog "motd: Warning: serverside include: toolbox.tcl not loaded.
  source ../toolbox.tcl
  if {![info exists toolbox_loaded]} {
    putlog "motd: Error: serverside include: toolbox.tcl not found.
    die "motd: Error while trying to load script"
  }
} else {
  if {$toolbox_revision < "1004"} {
    putlog "motd: Warning: Toolbox is obsolete. Please upgrade to revision 1004 or later."
  }
}

if {![info exists toolkit_loaded]} {
  putlog "motd: Warning: serverside include: toolkit.tcl not loaded.
  source ../toolkit.tcl
  if {![info exists toolkit_loaded]} {
    putlog "motd: Error: serverside include: toolkit.tcl not found.
    die "motd: Error while trying to load script"
  }
} 

proc do_show_motd {nick uhost hand channel} {
  global motdpath wantgflag botnick
  set fd [open $motdpath r]
  if {[validuser $hand] == "1"} {
    if {[matchattr $hand g] == 0} {
      while {![eof $fd]} {
        set motdinfo [gets $fd]
        putmsg $nick "-=- $motdinfo"
      }
      close $fd
      if {$wantgflag == "1"} {
        putmsg "$nick please type !nogreet to turn off this motd"
        putmsg "$nick Remember you can always type !yesgreet again"
      }
    }
  } else {
    if {$wantgflag == "1"} {
      while {![eof $fd]} {
        set motdinfo [gets $fd]
        putmsg $nick "-=- $motdinfo"
      }
      putmsg $nick "I also noticed you are not a user on this bot."
      putmsg $nick "if you would like to become a user please type"
      putmsg $nick "/msg $botnick hello"    
    }
  }
}

if {$cpuawarness == "1" && $wantgflag == "0"} {
} else {
  proc do_no_greet {nick uhost hand channel arg} {
    global wantgflag botnick 
    if {[validuser $hand] == "1"} {
      if {[matchattr $hand g] != "1"} {
        putmsg $nick "You will no longer recieve automated greets"
        chattr $hand +g
      } else {
         putmsg $nick "You already have automated greets OFF!"
      }
    } else {
      putmsg $nick "You are not a user on this bot! please /msg $botnick hello"
    }
  }
}

if {$cpuawarness == "1" && $wantgflag == "0"} {
} else {
  proc do_yes_greet {nick uhost hand channel arg} {
    global wantgflag botnick 
    if {[validuser $hand] == "1"} {
      if {[matchattr $hand g] == "1"} {
        putmsg $nick "You will now recieve automated greets"
        chattr $hand -g
      } else {
         putmsg $nick "You already have automated greets ON!"
      }
    }
  }
}

putlog "MOTD 1.0.0 by Corbe Successfully Loaded"
putlog "Mail corbe@shadow.net with questions/comments"
